Subject: [LosAltosFreecycle] WANTED: printing calculator for a desk

From: "pesha edwards" <[email-masked]>
Date: Sat, 28 Oct 2006 06:56:43 -0000

my calculator is so old I can't find replacement inkroller for it. I
need one that's for a desk and is not out of date so I can get
replacement inkroller for it. Thanks, pesha